Magick++ 6.9.6

Public Member Functions | Friends | List of all members
Magick::TypeMetric Class Reference

`#include <TypeMetric.h>`

## Public Member Functions
| TypeMetric (void)
| ~TypeMetric (void)
double | ascent (void) const
double | descent (void) const
double | maxHorizontalAdvance (void) const
double | textHeight (void) const
double | textWidth (void) const
double | underlinePosition (void) const
double | underlineThickness (void) const

## Friends
class | Image

## Detailed Description

Definition at line 18 of file TypeMetric.h.

## Constructor & Destructor Documentation

Magick::TypeMetric::TypeMetric | ( | void |  | ) |

Definition at line 16 of file TypeMetric.cpp.

Magick::TypeMetric::~TypeMetric | ( | void |  | ) |

Definition at line 21 of file TypeMetric.cpp.

## Member Function Documentation

double Magick::TypeMetric::ascent | ( | void |  | ) | const

Definition at line 25 of file TypeMetric.cpp.

double Magick::TypeMetric::descent | ( | void |  | ) | const

Definition at line 30 of file TypeMetric.cpp.

double Magick::TypeMetric::maxHorizontalAdvance | ( | void |  | ) | const

Definition at line 35 of file TypeMetric.cpp.

double Magick::TypeMetric::textHeight | ( | void |  | ) | const

Definition at line 40 of file TypeMetric.cpp.

double Magick::TypeMetric::textWidth | ( | void |  | ) | const

Definition at line 45 of file TypeMetric.cpp.

double Magick::TypeMetric::underlinePosition | ( | void |  | ) | const

Definition at line 50 of file TypeMetric.cpp.

double Magick::TypeMetric::underlineThickness | ( | void |  | ) | const

Definition at line 55 of file TypeMetric.cpp.

## Friends And Related Function Documentation

friend class Image
| friend

Definition at line 20 of file TypeMetric.h.

The documentation for this class was generated from the following files:

- TypeMetric.h
- TypeMetric.cpp